#include <iostream>
#include <cstdlib>
using namespace std;

// Funkcja wypisuje zawartość tablicy
// Do funkcji przekazywane są parametry:
// - wskaźnik do początku tablicy
// - długość tablicy
void wypisz(int *t, int len) {
    for(int i=0; i<len; i++) {
        cout << t[i] << ", ";
    }
    cout << endl;
}

// Funkcja do tablicy wstawia losowe liczby z zakresu
// od 0 do limit-1
void wypelnij_losowo(int *t, int len, int limit) {
    for(int i=0; i<len; i++) {
        t[i] = rand() % limit;
    }
}

int main() {
    srand(time(nullptr));
    int a[10] = {0};
    int b[5] = {5, 10, 15};
    cout << "Oto tablica jako wskaźniki:\n";
    cout << a << "\n";
    cout << b << "\n";

    cout << "Początkowa zawartość:\n";
    wypisz(a, 10);
    wypisz(b, 5);
    wypelnij_losowo(a, 10, 100);
    wypelnij_losowo(b, 5, 1000);
    cout << "Wylosowana zawartość:\n";
    wypisz(a, 10);
    wypisz(b, 5);
    return 0;
}
