#include <iostream>
#include <cstdlib>
using namespace std;

void wypisz(int *t, int len) {
    for(int i=0; i<len; i++) {
        cout << t[i] << ", ";
    }
    cout << endl;
}

void wypelnij_losowo(int *t, int len, int limit) {
    for(int i=0; i<len; i++) {
        t[i] = rand() % limit;
    }
}

void bubble_sort(int *t, int len) {
    // w tej wersji wykonujemy tyle powtórzeń,
    // ile jest potrzebnych w przypadku pesymistycznym
    // ale czasami może to być niepotrzebna robota
    int pom;
    for(int runda = 1; runda < len; runda++) {
        cout << "runda nr " << runda << ": ";
        wypisz(t, len);
        for(int i=1; i<len; i++) {
            if(t[i] < t[i-1]) { // zamieniamy wartości miejscami
                pom = t[i];
                t[i] = t[i-1];
                t[i-1] = pom;
            }
        }
    }
}

int main() {
    srand(time(nullptr));
    int a[10];
    wypelnij_losowo(a, 10, 100);
    cout << "wersja wylosowana:\n";
    wypisz(a, 10);
    cout << "sortujemy...\n";
    bubble_sort(a, 10);
    cout << "wersja posortowana:\n";
    wypisz(a, 10);

    return 0;
}

/* Sortowanie to zadanie polegające na ułożeniu elementów
   w kolejności uporządkowanej (np. rosnącej).
   Istnieje wiele algorytmów sortowania,
   które różnią się wydajnością. Są to m.in.:
   - bubble sort (robimy tutaj)
   - insertion sort
   - merge sort
   - quick sort
*/
